%define name	devicekit-power
%define oname	DeviceKit-power
%define version	006
%define release	%mkrel 2

%define git_url git://anongit.freedesktop.org/DeviceKit/DeviceKit-power

Name: %name
Version: %version
Release: %release
Summary: Power Management Service
License: GPLv2+
Group: System/Kernel and hardware
URL: http://gitweb.freedesktop.org/?p=users/david/DeviceKit.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{oname}-%{version}.tar.gz
# (fc) 006-1mdv fix dbus interface usage for CVE 2008-4311 (GIT)
Patch0: DeviceKit-power-006-dbus.patch
# (fc) 006-2mdv fix dbus warnings when using g-p-m
Patch1: DeviceKit-power-006-fix-dbus-warnings-when-using-gnome-power-manager.patch
BuildRoot: %_tmppath/%name-%version-%release-root
Provides: %oname
BuildRequires: glib2-devel 
BuildRequires: dbus-devel 
BuildRequires: dbus-glib-devel
BuildRequires: polkit-devel
BuildRequires: pkgconfig(devkit-gobject)
BuildRequires: sqlite-devel
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libusb-devel
BuildRequires: libxslt-proc
BuildRequires: docbook-style-xsl
BuildRequires: gtk-doc >= 1.3
Requires: pm-utils

%description
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.

%package devel
Summary: Headers and libraries for DeviceKit-power
Group: Development/C
Provides: %{oname}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for DeviceKit-power.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .dbus
%patch1 -p1 -b .fixdbus

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/udev/rules.d/*.rules

%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/PolicyKit/policy/*.policy
%{_datadir}/dbus-1/system-services/*.service

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/devkit-power
%{_datadir}/gtk-doc/html/devkit-power/*



%changelog
* Thu Mar 26 2009 Frederic Crozat <fcrozat@mandriva.com> 006-2mdv2009.1
+ Revision: 361369
- Patch1: fix dbus warnings when using g-p-m

* Thu Mar 05 2009 Frederic Crozat <fcrozat@mandriva.com> 006-1mdv2009.1
+ Revision: 349034
- Release 006
- Patch0 (GIT): fix dbus interface usage for CVE 2008-4311

* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 004-2mdv2009.1
+ Revision: 335041
- Lower requirements

* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 004-1mdv2009.1
+ Revision: 334967
- import devicekit-power


* Mon Jan 26 2009 Pascal Terjan <pterjan@mandriva.org> 004-1mdv2009.1
- Adapt for Mandriva
- Update to 004

* Tue Dec 09 2008 Richard Hughes <richard@hughsie.com> 003-1
- Update to 003

* Sat Sep 06 2008 Richard Hughes <richard@hughsie.com> 001-2
- Fix the licence, and some directory ownership issues for the review request

* Tue Sep 02 2008 Richard Hughes <richard@hughsie.com> 001-1
- Initial spec file

